class Yosys < Formula
  desc "Framework for Verilog RTL synthesis"
  homepage "https://yosyshq.net/yosys/"
  # pull from git tag to get submodules
  url "https://github.com/YosysHQ/yosys.git",
      tag:      "yosys-0.42",
      revision: "9b6afcf3f83fea413b57c3790c25ba43b9914ce2"
  license "ISC"
  head "https://github.com/YosysHQ/yosys.git", branch: "main"

  depends_on "bison" => :build
  depends_on "pkg-config" => :build
  depends_on "python@3.12"
  depends_on "readline"

  uses_from_macos "flex"
  uses_from_macos "libffi", since: :catalina
  uses_from_macos "tcl-tk"

  def install
    system "make", "install", "PREFIX=#{prefix}", "PRETTY=0"
  end

  test do
    system bin/"yosys", "-p", "hierarchy; proc; opt; techmap; opt;", "-o", "synth.v", pkgshare/"adff2dff.v"
  end
end
